System.Web 2.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Web.Configuration.ProfileGroupSettings), AddItemName="group", CollectionType=System.Configuration.ConfigurationElementCollectionType.AddRemoveClearMap)

The class contains a collection of objects, which each contain a collection of objects.

The class provides a way to programmatically create, access, and modify the definition of an individual property added to the <properties> subsection of the <profile> section of a configuration file.

The <profile> section of the configuration file specifies a schema for user profiles. At run time, the ASP.NET compilation system uses the information specified in the <profile> section to generate a class called ProfileCommon, which is derived from . The ProfileCommon class definition is based on the properties defined in the <properties> subsection of the <profile> section of the configuration file.

For more information about profile properties, see Understanding ASP.NET Profile Properties. For more information about the profile features added to ASP.NET version 2.0, see ASP.NET Profile Properties Overview.

Contains a set of objects.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void ``

  The collection must not already contain a object with the same name.

  Adds a object to the collection.

  A object to add to the collection. 2.0.0.0
- Property
  2.0.0.0
  System.String[] To be added. To be added.

  Gets a string array of all the key values in the collection.

- Method
  System.Void

  This method inserts a clear directive into the appropriate section of the configuration file to clear all references to elements defined in a higher-level configuration file. All elements defined in the appropriate section of the current configuration file are removed.

  Removes all objects from the collection.

  2.0.0.0
- Property
  System.Configuration.ConfigurationElementCollectionType To be added. To be added.

  Gets the of this collection.

  2.0.0.0
- Method
  System.Configuration.ConfigurationElement To be added. To be added. To be added. 2.0.0.0
- Method
  System.Web.Configuration.ProfileGroupSettings `` To be added.

  Returns the object at the specified index.

  The object at the specified index, or null if there is no object at that index.

  The index of the object to get. 2.0.0.0
- Method
  System.Web.Configuration.ProfileGroupSettings `` To be added.

  Returns the object with the specified name.

  The object with the specified name, or null if the name does not exist.

  The name of the object to get. 2.0.0.0
- Method
  System.Object `` To be added. To be added. To be added. A in the collection. 2.0.0.0
- Method
  System.String `` To be added.

  Returns the name of the object at the specified index.

  The name of the object at the specified index, or null if there is no object at that index.

  The index of a object. 2.0.0.0
- Method
  System.Int32 `` To be added.

  Returns the index of the specified object.

  The index of the specified object, or -1 if the specified object is not contained in the collection.

  A object in the collection. 2.0.0.0
- Method
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  System.Web.Configuration.ProfileGroupSettings `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Web.Configuration.ProfileGroupSettings `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  2.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.
- Method
  System.Void ``

  This method inserts a <remove> element into the appropriate section of the configuration file for any element defined in a higher-level configuration file. If the element is defined in the appropriate section of the current configuration file, its entry is removed from the configuration file. The object to remove must exist in the collection.

  Removes a object from the collection.

  The name of the object to remove from the collection. 2.0.0.0
- Method
  System.Void ``

  This method inserts a <remove> element into the appropriate section of the configuration file for any element defined in a higher-level configuration file. If the element is defined in the appropriate section of the current configuration file, its entry is removed from the configuration file. The object to remove must exist in the collection.

  Removes a object from the collection.

  The index of the object to remove from the collection. 2.0.0.0
- Method
  2.0.0.0
  System.Void To be added. To be added.
- Method
  System.Void ``

  Calling this method has the same effect as calling the method.

  Adds the specified object to the collection.

  A object. 2.0.0.0